JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

Loading...
Searching...
No Matches
Classes
juce::dsp::DelayLineInterpolationTypes Namespace Reference
juce_dsp » processors

A collection of structs to pass as the template argument when setting the interpolation type for the DelayLine class. More...

## Classes
struct | Lagrange3rd
| Successive samples in the delay line will be interpolated using a 3rd order Lagrange interpolator. More...
struct | Linear
| Successive samples in the delay line will be linearly interpolated. More...
struct | None
| No interpolation between successive samples in the delay line will be performed. More...
struct | Thiran
| Successive samples in the delay line will be interpolated using 1st order Thiran interpolation. More...

## Detailed Description

A collection of structs to pass as the template argument when setting the interpolation type for the DelayLine class.